#!/usr/bin/env python3
# -*- encoding: utf-8 -*-

import someUtils

bibs = [
    'bibtexes/'+bib[:-4]
    for bib in someUtils.listDirectory('bibtexes')
    if 
    bib.endswith('.bib')
    and
    bib!='tcc-blx.bib'
    and
    bib!='abntex2-options.bib'
]
bibs.sort()
someUtils.saveFile('tcc_bib.tex','\\bibliography%\n{%\n'+',%\n'.join(bibs)+'%\n}\n')

